## 1.0.0

Initial release.

## 1.0.1

- Added example application.
- Removed implied required logic for email validator.
- Added history trakcing in navigation.

## 1.1.0

- Removed navigator dependency on authorization

## 1.1.1

- Added optional space size for spaced column and row
- Fixed some warnings

## 1.1.2

- Changed authetication service streams to broadcast

## 1.1.3

- Disabled color for password hidden button

## 1.2.3

- Sending route path arguments into rewrite

## 1.3.1

- Added "onEditingComplete" for some fields

## 1.3.2

- Updated error message wording on LengthValidator
- Cleanup and wording on length validators
- Call onChanged for currency field

## 1.3.3

- Added and organised some field parameters

## 1.3.4

- Improved number and currency field validation

## 1.3.5

- Handling null values for currency and number fields

## 1.3.6

- Using color scheme for error text
- Added autofocus option for checkbox field

## 1.3.7

- Fixed wrapping for checkbox field

## 1.3.8

- Downgraded dropdown search version

## 1.3.9

- Allow comma for currency input

## 1.3.10

- Downgraded file picker dependency for compatibility

## 1.3.11

- Added controller configuration for text based fields

## ~~1.3.12~~

- ~~Added focusNode to NumberField~~ **RETRACTED**

## 1.3.13

- Added focusNode to NumberField
- Reverted NumberField validator to version 1.3.11

## 1.3.14

-- Fixed initial value null on NumberField

## 1.3.15

-- Removed FileField as it introduces the need for additional permissions in the Apple App store and no one is using it

## 1.3.16

-- Add keyboardType to PasswordField

## 3.0.0

- Allow NavigationItems to have children

## 3.1.0

- Support optional forceMobileView in MediaLayout

## 3.1.1

- Added maxLength to StandardTextField

## 3.1.2

- Set uses-material-design to true

## 3.1.3

- Trying to sort out RouteArguments issue

## 3.1.5

- NavigationItem IconData is optional

## 3.1.7

- IsSelected parameter for StandardMenuItem and addition of darken / lighten colour extensions

## 3.2.0

- Added suppot for StandardMenuItem to be a parent menu item (allowing drawer implementations to support NavigationItem's children property)

## 3.4.11

- Added support for tracking input control dirty state per screen route (or when manually reset)
- Check NavigationLogic.IsDirty

## 3.4.13

- Added inputDecoration to StandardTextField. labelText and and enabled properties are copied to the passed in inputDecoration.

## 3.4.14

- Added google play store compliance to standard_menu_item. It will return a widget without InkWell in the case routePath is null.

## 3.4.15

- Removed null check on InkWell onTap for standard_menu_item.

## 3.4.16

- Moved widget builders out of main build method for standard_menu_item.

## 3.5.1

- Add style to StandardTextField and labelText is nullable and decoration renamed

## 3.5.5

- Added decoration and selectedDecoration to StandardMenuItem

## 3.5.6

- Added onFocusLost to StandardTextField

## 3.5.7

- Handling IsDirty state

## 3.5.8

- Adding default text style to DropDownField

## 3.5.9

- Added keyboardType to StandardTextField

## 3.6.1

- Added StandardDurationField