import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:flutter_slick/navigation/logic.dart';

class Application extends StatelessWidget {
  const Application({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Consumer<NavigationLogic>(
      builder: (context, logic, _) {
        return MaterialApp.router(
          title: "Slick Example",
          routerDelegate: logic.routerDelegate,
          routeInformationParser: logic.routerInformationParser,
        );
      },
    );
  }
}
