import 'package:flutter/material.dart';

class BodyText extends StatelessWidget {
  final String data;
  final Color? color;

  const BodyText(
    this.data, {
    Key? key,
    this.color,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Text(
      data,
      style: TextStyle(
        fontSize: 16.0,
        color: color,
      ),
    );
  }
}
