import 'package:flutter/material.dart';

class DirtyStateMonitor with ChangeNotifier {
  bool _isDirty = false;
  bool get isDirty => _isDirty;

  void clearDirty() {
    _setIsDirty(false);
  }

  void setDirty() {
    _setIsDirty(true);
  }

  void _setIsDirty(bool dirty) {
    if (_isDirty == dirty) return;
    _isDirty = dirty;
    notifyListeners();
  }
}
