import 'dart:async';

class ErrorService {
  final _streamController = StreamController<Object>.broadcast();

  Stream<Object> get stream => _streamController.stream;

  void raise(Object error) {
    _streamController.add(error);
  }

  Future<void> dispose() async {
    await _streamController.close();
  }
}
