import 'package:flutter/material.dart';

class ErrorText extends StatelessWidget {
  final String data;

  const ErrorText(
    this.data, {
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    var theme = Theme.of(context);
    return Text(
      data,
      style: TextStyle(
        fontSize: 12.0,
        color: theme.colorScheme.error,
      ),
    );
  }
}
